Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 20 Aug 2014, 14:47
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
impossible connecter wifi
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [38 Posts]   Goto page: 1, 2, 3 Next
Author Message
gilloraymondo

Joined: 03 Dec 2011
Posts: 255

PostPosted: Sat 07 Jan 2012, 14:17    Post subject:  impossible connecter wifi  

Bonjour,
Impossible de me connecter en wi fi, que ce soit avec toutou linux ou avec puppy 528 avec un eeePC Asus. Pour l'instant intallation seulement sur clé USB, en attendant de mettre sur disque dur.
Systemes d'exploitatiosn testés : Lucid puppy 528 (plutot sympa, en installant les packs de francisation) et toutou linux 431 : pareil.
A l'essai de connexion sur wlan0 sur "simple network setup", j'ai un message me disant qu'on recherche les réseaux wi fi mais ensuite, plus rien.
IP info : Wireless configuration : "no wireless extensions detected".
Après recherches et multiples essais, apparemment il me manque le driver.
mon module est R8180, Realtek semiconductor RTL8187SE wireless controller.
Si j'ai bien compris ce que j'ai pu trouver sur internet, il faudrait charger un driver : ieee80211. Mais peut être que je me trompe ????
Je l'ai trouvé, pour l'instant je l'ai chargé sur une clé USB : ieee80211-1.2.18, mais je n'arrive pas à l'installer.
Si je veux le copier, je ne sais pas vers quel fichier il faut le diriger.
Si je vais sur la console, sachant que le driver est sur une clé USB qu'on retrouve sous le nom de sdc1, j'ai essayé wget /mnt/sdc1/ieee80211-1.2.18, et là j'ai "scheme missing".
J'ai essayé sur la console de taper wget/http://ieee80211.sourcefrge.net/ieee80211-1.2.18.tgz, et là aussi j'ai "scheme missing".
Après des heures de vaines tentatives, je donne ma langue au chat.
Qui pourrais me guider ?
Merci d'avance
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1672

PostPosted: Sat 07 Jan 2012, 15:49    Post subject:  

Bonsoir gilloraymondo,

Pour un EEEPC il serai préférable d'utiliser la Fluppy 13 - Edition française, spécialement optimisée pour ce genre de PC portable :
Les versions de Puppy/Toutou Linux


Pour Puppy/TTL 4.31 :
http://www.murga-linux.com/puppy/viewtopic.php?p=346449#346449
"-- the rtl8187se driver is for the Realtek RTL8187SE wifi device, as found in the ASUS Eee 701SD and MSI Wind U100 netbooks. This is a miniPCI wifi device, not to be confused with the RTL8187 USB chipset.
The dotpet includes a PREFLIST entry so that this driver will be used in preference to the "Coffelius" modified proprietary driver."

Carte PCI k2.6.30.5(Puppy/TTL4.31) :
rtl8187se-k2.6.30.5.pet
Voir les commentaires


Pour Lucid 5.2* :
Normalement le pilote r8187se est intégré :
http://www.murga-linux.com/puppy/viewtopic.php?p=448997#448997
"The new wifi drivers in the 2.6.33.2 kernel are:
Realtek r8187se as found in several netbooks."

Autre piste : 5.2 lucid and rtl8180



Cordialement,
Médor
Back to top
View user's profile Send private message 
gilloraymondo

Joined: 03 Dec 2011
Posts: 255

PostPosted: Sat 07 Jan 2012, 19:37    Post subject:  

Bonsoir Medor,
Et merci.
Problème réglé en téléchargeant rtl8187se-k2.6.30.5.pet avec toutou linux 431.
Mon seul problème avec toutoulinux 431 est que j'ai des problèmes avec certaines fenêtres d'intallation (notamment pour selectionner un réseau wi fi : le bas de la fenêtre n'est pas visible et je suis obligé de me battre avec la fontion de redimmensionnement qui ne fonctionne qu'avec la souris. Avec lucid puppy 528 (quasiment totalement francisée avec les deux pets adéquats) je n'ai pas cette difficulté : avec la fonction "remove", je peux déplacer comme je veux avec les flèches du clavier .....
En plus, avec lucid puppy, la suite aircrack-ng fontionne très bien.... Voyageant beaucoup dans le monde, ça peut rendre service...
Merci encore
Cordialement
Back to top
View user's profile Send private message 
gilloraymondo

Joined: 03 Dec 2011
Posts: 255

PostPosted: Sun 08 Jan 2012, 00:20    Post subject:  

Bonjour,
Alors là je ne comprends plus rien!!!!!
Tout est parfait pour toutou linux 431 installé sur disque dur.
Puis j'entreprends d'installer lucid puppy 528 sur USB. El là (seulement sur USB) même problème, wi fi impossible. Or le driver devrait déjà être là .....
J'ai essayé de télécharger le dhcpcd529 puppy 5.pet, mais rien n'y fait. Cest bizarre !!!
Une idée ?
Merci
Back to top
View user's profile Send private message 
Roger06

Joined: 15 Jul 2007
Posts: 68

PostPosted: Tue 10 Jan 2012, 05:42    Post subject:  

bonjour Medor,

Pour un EEEPC il serai préférable d'utiliser la Fluppy 13 - Edition française, spécialement optimisée pour ce genre de PC portable :
Les versions de Puppy/Toutou Linux


Ce n'est pas exact pour RT2860STA:
Il manque :

/etc/wireless/RT2860RTA
/etc/wireless/RT2860RTA/RT2860STA.dat
/lib/fireware/RT2860STA.dat
/lib/modules/2.6.33.2/kernel/driver/staging/rt2860rta/rt2860sta.ko
/lib/modules/all-fireware/rt2860sta-fw.tar.gz

Je me demande si le fait de décompresser le tar gz suffirait à l'installation.
Back to top
View user's profile Send private message 
Roger06

Joined: 15 Jul 2007
Posts: 68

PostPosted: Tue 10 Jan 2012, 06:32    Post subject:  

Re,

Vérification faite, ce module existe mais comme TT431 il ne fonctione pas.J'ai noté une différence de noyau entre ces deux distributions et celle d'ASRI edu 300 où le module fonctionne.(2.6.33.2).
Back to top
View user's profile Send private message 
gilloraymondo

Joined: 03 Dec 2011
Posts: 255

PostPosted: Tue 10 Jan 2012, 10:45    Post subject:  

Bonjour Roger,
Bon, mais alors, existe t il une solution pour pouvoir se connecter en wi fi sur le Asus 701sd équipé de rtl8187se avec lucid puppy 528.
J'ai essayé la toute dernière version lucid puppy 528-004 sortie le mois dernier, et ça ne marche toujours pas......
J'ai téléchargé le kernel_src_L4-2.6.33.2-patched.sfs et le lupu_devx_528-4.sfs.
En faisant menu, system, boot manager configure bootup, click here to add a new module, je trouve le module rtl8187 (mais pas rtl8187se) que je sélectionne en cliquant sur "add" et je le retrouve donc tout seul dans la liste de droite, je le surligne, et je clique OK, fenêtre suivante on me demande si je veux ajouter d'autres paramètres et que si je ne sais pas il faut juste cliquer OK. Donc je clique OK.
Sur le bureau, je clique sur connect, et je vois toujours en dernière ligne : wlan0 wireless r8180 x x.
Donc le 8187 n'est toujours pas là. et si je clique sur wlan0, bien sur, ça ne me donne rien.
une idée ?
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1672

PostPosted: Tue 10 Jan 2012, 13:13    Post subject:  

Bonsoir,

Il y a quelques confusions sérieuses dans vos derniers propos !

Premièrement :
Un module du kernel doit être strictement du même numéro que celui du noyau utilisé ! (uname -r)

Pour rappel :
k2.6.30.5 => Puppy 4.3.1
K2.6.33.2 => Lucid 5.2.* (sauf 529 !)
K2.6.35.7 => Fluppy 12/13
Les firmwares si à jour sont commun, et ne dépendent pas forcement du numéro du noyau.
Ils sont en tar.gz, sauf sur les dernières Puppy 5.2.* (les laisser en l'état !)


Deuxièmement :
Ne pas confondre un module PCI/PCIe d'un module USB !

rtl818x (USB) :
/lib/modules/2.6.XY.Z/kernel/drivers/net/wirless/rtl818x/rtl8180.ko et rtl8187.ko

rlt8187se (PCI) :
Puppy 4.3.1 : /lib/modules/2.6.30.5/kernel/drivers/staging/rtl8187se/rtl8187se.ko
Lucid 5.2.* : /lib/modules/2.6.33.2/kernel/drivers/staging/rtl8187se/r8187se.ko
Ces modules sont en version de développement et se trouve donc dans "/staging/"

Note :
message de tempestuous

"growler wrote:
it is referring all the time to r8180 not r8187SE ???


That's no problem; Linux wifi drivers often report their name as different than the name of the actual driver. And in this particular case, "r8180" is the old Realtek RTL8180 driver upon which the rtl8187se driver is based."

Il faut donc ne pas sélectionner le mauvais module dans le gestionnaire de boot...
Bien activer si ce n'est pas déjà le cas le bon module dans l'assistant de connexion !
Donc => r8187se pour la Lucid 528 !!!
(La présence du "devx" sfs et du "kernel" sfs n'est obligatoire que pour compiler...)


Cordialement,
Médor.
Back to top
View user's profile Send private message 
Roger06

Joined: 15 Jul 2007
Posts: 68

PostPosted: Tue 10 Jan 2012, 14:24    Post subject:  

Bonsoir Medor,

Si je comprends il est donc impossible de faire fonctionner une puce (dans mon cas RT2860RTA) hors du noyau où elle a été incorporée?
Et dans ce cas impossible de charger cette puce sans passer par Ndiswraper?
Si c'est le cas pourquoi le pilote existe-t-il dans le starging? le noyau utilisé par TT431 n'est pas jeune.

A+
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1672

PostPosted: Tue 10 Jan 2012, 18:35    Post subject:  

Bonsoir Roger06,

le module Ralink rt2870sta.ko est inclut dans la Puppy (TTL) 4.3.1 et Lucid 525 Rétro (K2.6.30.5) dans :
/lib/modules/2.6.30.5/extra/rt2870rta.ko

le module Ralink rt2870sta.ko est inclut dans la Lucid 528 (Asri300) dans :
/lib/modules/2.6.33.2/kernel/drivers/staging/rt2870/rt2870rta.ko

Je n'ai pas sous la main la Fluppy pour vérifier !
(l'un ou l'autre comme ci-dessus avec "/k2.6.35.7/"...)

Le firmware associé au module : rt2870sta-fw.tar.gz se trouvant pour ces dernières dans :
/lib/modules/all-firmware/rt2870sta-fw.tar.gz


On utilise le module natif linux existant de préférence !
Si l'on souhaite utiliser les pilotes WinXP (xyz.inf, .sys, .cat) par l'intermédiaire de NdisWrapper, il faut commencer par déactiver ("blacklister") le module Linux pour éviter tout conflits !
Ce que propose l'assistant de connexion...


Cordialement,
Médor.
Back to top
View user's profile Send private message 
gilloraymondo

Joined: 03 Dec 2011
Posts: 255

PostPosted: Wed 11 Jan 2012, 13:59    Post subject:  

Bonjour,
Bon, alors il n'y a aucune solution pour se connecter en wi fi avec un Asus 701sd (équipé d'une rtl8187se) avec lucip Puppy 528 ou 525, sachant que le driver n'est pas dans la liste du manager ?
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1672

PostPosted: Thu 12 Jan 2012, 05:26    Post subject:  

Bonjour gilloraymondo,

Pas bien normal le module r8187se est bien présent ici sur la Lucid 528 !
Peut être est-il "blacklisté"...
Vu les nombreuses manipulations, il faudrait refaire un fichier de sauvegarde pour s'en assurer, en bootant avec l'option pfix=ram...

Dans la Console que donne :
depmod-FULL <-- reprise en compte des modules
modprobe r8187se <-- chargement du module
modinfo r8187se

Cordialement,
Médor.
BootMgr.png
 Description   
 Filesize   129.61 KB
 Viewed   1279 Time(s)

BootMgr.png

Back to top
View user's profile Send private message 
gilloraymondo

Joined: 03 Dec 2011
Posts: 255

PostPosted: Thu 12 Jan 2012, 07:21    Post subject:  

Bonjour Médor,
Vous m'avez donné une idée. Dans le manager, si en cliquant sur ajouter un nouveau module, je ne trouve pas le module r8187se, par contre, si je clique sur blacklister un module, je le trouve dans la liste de gauche (pas dans la liste de droite et bien évidemment, je ne l'ajoute pas!!!!

Peut être que cela signifie qu'il est déjà installé !!!!!!
Mais alors, pourquoi, si je clique sur connect, ça ne me donne qu'un bandeau me disant qu'on recherche les wi fi et puis plus rien ???

Voilà ce que donnent les manips que vous m'avez demandé.
Peut être que la réponse se trouve dans la rubrique #modinfo r8187se ou il est écrit que ce module est dans "staging" et plus loin "r8187se.ko

Si il est ko, ça explique tout.
Mais alors comment le mettre en marche ?
Cordialement

# depmod-FULL
# modprobe r8187se
WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/.
# modinfo r8187se
filename: /lib/modules/2.6.33.2/kernel/drivers/staging/rtl8187se/r8187se.ko
description: Linux driver for Realtek RTL8180 / RTL8185 WiFi cards
author: Andrea Merello <andreamrl@tiscali.it>
license: GPL
license: GPL
author: Copyright (C) 2004 Intel Corporation <jketreno@linux.intel.com>
description: 802.11 data/management/control stack
license: GPL
description: HostAP crypto
author: Jouni Malinen
license: GPL
description: Host AP crypt: TKIP
author: Jouni Malinen
license: GPL
description: Host AP crypt: CCMP
author: Jouni Malinen
license: GPL
description: Host AP crypt: WEP
author: Jouni Malinen
alias: pci:v000010ECd00008199sv*sd*bc*sc*i*
depends:
staging: Y
vermagic: 2.6.33.2 SMP mod_unload modversions 486
parm: ifname:charp
parm: devname: Net interface name, wlan%d=default
parm: hwseqnum: Try to use hardware 802.11 header sequence numbers. Zero=default (int)
parm: hwwep: Try to use hardware WEP support. Still broken and not available on all cards (int)
parm: channels: Channel bitmask for specific locales. NYI (int)
#
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1672

PostPosted: Thu 12 Jan 2012, 12:22    Post subject:  

Bonsoir gilloraymondo,

Le module r8187se a bien été chargé par la commande modprobe, il est bien présent !
Les modules portent l'extension .ko, ça n'a rien à voir avec OK/KO Wink

Je pense qu'il doit tout bêtement s'agir de la mise sur "ON" de la carte Wifi !
Edit : ces deux raccourcis sont pour un MSI Wind :
Touches de raccourcis clavier Fn + F11
Il existe aussi Fn + F5 pour la commutation entre la carte Ethernet et le WiFi
Pour les EEEPC :
Fn + F2 : ON/OFF du WiFi

rfkill (et ACPI)
voir à cette adresse le lien : acpid-1.0.10-Eee.pet
et si cette mise à jour n'a pas déjà été incorporée sur la 528 actuelle :
Edit : j'ai vérifié la mise à jour n'est pas incorporée sur les 528
rfkill-upgrade-k2.6.33.2.pet

Cordialement,
Médor.
Back to top
View user's profile Send private message 
gilloraymondo

Joined: 03 Dec 2011
Posts: 255

PostPosted: Fri 13 Jan 2012, 07:36    Post subject:  

Bonjour Médor,

Le problème ne peut pas être là pour plusieurs raisons :
- Pour naviguer en wi fi, avec cet Asus Eee 701sd, les manipulations à faire sont les mêmes pour le toutou linux 431 que pour le lucid puppy 528
J'ai sucessivement installé les deux sur le HDD (SSD en fait). Mais que ce soit en full installation, ou en restant sur USB, le problème est le même.
J'avais le même problème que ce soit avec toutoulinux ou avec Lucid puppy
Grace à vous, ( merci encore) le problème a été réglé pour le toutou linux en téléchargeant le driver r8187se au moyen du .pet que vous m'avez donné.
Le problème est surement le même pour le Lucid puppy.

Plus autre raison :

Sur un Asus Eee 4G (c'est le même netbook sauf SDD doublée + module wi fi différent), je n'ai de problème ni avec toutou linux, ni avec Lucid puppy.

Si je ne suis pas très doué en informatique, il n'en est pas de même en anglais, et je me demande si le problème ne vient pas du fait que le driver r8187se du 701sd soit rangé en "staged" ? C'est une question. Que signifie (en informatiqe, pas en anglais) "staged"?

Pour l'instant le problème reste entier : pas moyen de se connecter en Wi fi avec le 701sd, donc module rtl8187se, avec lucid puppy, alors qu'il semble bien, vu tout ce que j'explique ci-avant, que le problème vienne vienne du matériel et non de manipulations de ma part.
Il n'y a pas de soltion ? En particulier, pas de .pet à télécharger qui règlerait le problème comme pour le toutou linux ?
Cordialement
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [38 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0958s ][ Queries: 12 (0.0042s) ][ GZIP on ]